#
# Conditional build:
%bcond_with	appindicator	# application indicators instead of xembed systray support
#
%define		nmversion 2:1.8
Summary:	Network Manager for GNOME
Summary(pl.UTF-8):	Zarządca sieci dla GNOME
Name:		NetworkManager-applet
Version:	1.18.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/1.18/network-manager-applet-%{version}.tar.xz
# Source0-md5:	1db711d29207f750985511eb8ca0a706
URL:		https://wiki.gnome.org/Projects/NetworkManager
BuildRequires:	ModemManager-devel >= 1.0.0
BuildRequires:	NetworkManager-devel >= %{nmversion}
BuildRequires:	dbus-devel >= 1.2.6
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gcr-devel >= 3.14
BuildRequires:	gcr-ui-devel >= 3.14
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	iso-codes
BuildRequires:	jansson-devel >= 2.7
%{?with_appindicator:BuildRequires:	libappindicator-gtk3-devel >= 0.1}
%{?with_appindicator:BuildRequires:	libdbusmenu-gtk3-devel >= 16.04.0}
BuildRequires:	libnma-devel >= 1.8.27
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsecret-devel >= 0.18
BuildRequires:	libselinux-devel
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel >= 1:147
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.38
Requires(post,postun):	gtk-update-icon-cache
Requires:	NetworkManager >= %{nmversion}
Requires:	dbus >= 1.2.6
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.38
Requires:	hicolor-icon-theme
Requires:	jansson >= 2.7
Requires:	libnma >= 1.8.27
Requires:	libsecret >= 0.18
Requires:	mobile-broadband-provider-info
Requires:	polkit-gnome
Suggests:	dbus(org.freedesktop.Notifications)
Obsoletes:	NetworkManager-applet-devel
Obsoletes:	gnome-bluetooth-plugin-nma < 1.2.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Network Manager Applet for GNOME.

%description -l pl.UTF-8
Aplet zarządcy sieci dla GNOME.

%prep
%setup -q -n network-manager-applet-%{version}

%build
%meson build \
	-Dappindicator=%{?with_appindicator:yes}%{!?with_appindicator:no}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties

%ninja_install -C build

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING ChangeLog
%attr(755,root,root) %{_bindir}/nm-applet
%attr(755,root,root) %{_bindir}/nm-connection-editor
%{_datadir}/GConf/gsettings/nm-applet.convert
%dir %{_datadir}/gnome-vpn-properties
%{_datadir}/metainfo/nm-connection-editor.appdata.xml
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_desktopdir}/nm-applet.desktop
%{_desktopdir}/nm-connection-editor.desktop
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_iconsdir}/hicolor/*x*/apps/nm-*.png
%{_iconsdir}/hicolor/scalable/apps/nm-*.svg
%changelog
* Tue Jun 23 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-applet.git;a=log;h=master

* Tue Jun 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 8a7a28b
- updated to 1.18.0

* Sat Apr 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 70c57aa
- BR and options cleanup

* Thu Mar 12 2020 Jan Palus <atler@pld-linux.org> ec78026
- up to 1.16.0

* Wed Oct 09 2019 Jan Palus <atler@pld-linux.org> 2aff0a9
- up to 1.8.24

* Wed Oct 02 2019 Jakub Bogusz <qboosh@pld-linux.org> a6649b2
- added max NetworkManager version for libnm_gtk

* Wed Aug 07 2019 Jan Palus <atler@pld-linux.org> 9ea096f
- new bcond to enable building of deprecated libnm-gtk library; rel 3

* Fri Jun 28 2019 Jan Palus <atler@pld-linux.org> bc5e548
- switch to meson; rel 2

* Wed May 29 2019 Jan Palus <atler@pld-linux.org> d666e46
- up to 1.8.22

* Thu Feb 07 2019 Jan Palus <atler@pld-linux.org> 7d05272
- up to 1.8.20

* Sun Oct 28 2018 Jakub Bogusz <qboosh@pld-linux.org> f4c03ef
- updated dependencies

* Fri Sep 07 2018 Jan Palus <atler@pld-linux.org> 7757b87
- up to 1.8.18

* Tue Aug 07 2018 Jan Palus <atler@pld-linux.org> a9621ab
- up to 1.8.16

* Tue Jul 24 2018 Jan Rękorajski <baggins@pld-linux.org> 477966e
- release 2 (by relup.sh)

* Mon Jun 25 2018 Jan Palus <atler@pld-linux.org> 0152166
- up to 1.8.14

* Mon May 28 2018 Jan Palus <atler@pld-linux.org> a9974f4
- up to 1.8.12

* Sat Dec 23 2017 Jan Palus <atler@pld-linux.org> 97c7a8c
- up to 1.8.10

* Sat Dec 09 2017 Jan Palus <atler@pld-linux.org> 68983ee
- up to 1.8.6

* Thu Jun 22 2017 Jakub Bogusz <qboosh@pld-linux.org> a83f5b3
- updated to 1.8.2

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 782081e
- updated to 1.8.0

* Wed Mar 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 55ed05f
- updated to 1.4.6, package -gtk-lib-apidocs

